<?php

function isSessionActive($login=false) {
  global $database;
  if ($login) {
    if (isset($_SESSION[SEC_TOKEN]) || isset($_COOKIE[COOKIE_NAME])) {
      if (isset($_COOKIE[COOKIE_NAME])) {
        if ($_COOKIE[COOKIE_NAME]!=md5(SECRET_KEY)) {
          header("Location: index.php?cmd=login");
          exit;
        }
      }
      header("Location: index.php");
      exit;
    }
  } else {
    if (!isset($_SESSION[SEC_TOKEN]) && !isset($_COOKIE[COOKIE_NAME])) {
      header("Location: index.php?cmd=login");
      exit;
    }
  }
}

// Get last question..
function getLastQuestion($id) {
  global $database;
  $id    = (int)$id;
  $query = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT `que_id` FROM `".DB_PREFIX."questions` WHERE `que_sur_id` = '$id' ORDER BY `que_id` DESC LIMIT 1") or die(db_MSG(__FILE__,__LINE__));
  $row   = mysqli_fetch_object($query);
  return (isset($row->que_id) ? $row->que_id : new stdclass());
}

// Get data based on query..
function rowData($table,$query='') {
  global $database;
  $query = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT * FROM ".DB_PREFIX.$table.$query."") or die(db_MSG(__FILE__,__LINE__));
  return mysqli_fetch_object($query);
}

// Table count..
function rowCount($table,$query='',$row='count(*) AS r_count',$num=false) {
  global $database;
  $count = mysqli_query($GLOBALS["___mysqli_ston"], "SELECT " . $row." FROM ".DB_PREFIX.$table.$query."") or die(db_MSG(__FILE__,__LINE__));
  if ($num) {
    return mysqli_num_rows($count);
  } else {
    $COUNT = mysqli_fetch_object($count);
    return $COUNT->r_count;
  }
}

// Page numbers..
function page_numbers($count,$limit,$page,$stringVar='page',$show=15) {
  global $msg_script7,$msg_script8;
  $PaginateIt = new PaginateIt();
  $PaginateIt->SetCurrentPage($page);
  $PaginateIt->SetItemCount($count);
  $PaginateIt->SetItemsPerPage($limit);
  $PaginateIt->SetLinksToDisplay($show);
  $PaginateIt->SetQueryStringVar($stringVar);
  $PaginateIt->SetLinksFormat('&laquo; '.$msg_script7,
               ' &bull; ',
               $msg_script8.' &raquo;'
               );
  return '<div id="pages">'.$PaginateIt->GetPageLinks().'</div>';
}

// Return overlib tooltip
function toolTip($msg,$msg2,$text=false,$align='CENTER',$width='400') {
  return ($text ? '(' : '').'<a href="javascript:void(0);" onclick="return overlib(\''.htmlspecialchars($msg2).'\', STICKY, CAPTION, \''.htmlspecialchars($msg).'\', '.$align.',ol_width=\''.$width.'\');" onmouseout="nd();">'.($text ? $text : '<img style="border:0;vertical-align:middle" src="content/img/help.gif" alt="" title="" />').'</a>'.($text ? ')' : '');
}

?>
